#
# spec file for package kssh (Version 0.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           kssh
BuildRequires:  kdelibs3-devel
License:        GPL, Other License(s), see package
Group:          Productivity/Networking/SSH
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Summary:        A KDE Front-End for SSH (Secure Shell)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        0.7
Release:        781.5
URL:            http://kssh.sourceforge.net/
Source0:        %name-%version.tar.bz2
Patch0:         %name.diff
Patch1:		%name-4.diff

%description
KSSH makes logging in to a remote machine with SSH much easier.



Authors:
--------
    Andrea Rizzi <rizzi@kde.org>

%if %suse_version >= 930
%debug_package
%endif
%prep
%setup -q
%patch
%patch1
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
./configure $configkde
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%if %suse_version >= 1010
%suse_update_desktop_file -G "Secure Shell Frontend" kssh System RemoteAccess
%endif
%if %suse_version < 1010
%suse_update_desktop_file kssh System RemoteAccess
%endif
%find_lang %name

%if %suse_version < 930
%__strip "%{buildroot}%{_bindir}"/*
%endif

%clean
%__rm -rf "%{buildroot}"

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL 
/opt/kde3/bin/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/konsole
/opt/kde3/share/icons/*

%changelog
* Mon Jan 26 2009 joe_morris@ntm.org
- patch to work in kde4
* Mon Feb  5 2007 dsbhayangkara@gmail.com
- fixed suse_update_desktop_file statement for suse version < 1010
- add debuginfo for suse version >= 930
- add __strip "%%{buildroot}%%{_bindir}"/* for suse version >= 930
- add clean \ __rm -rf "%%{buildroot}"
* Wed Feb 15 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 17 2005 adrian@suse.de
- menu entry moved to xdg dir
* Fri Apr 16 2004 coolo@suse.de
- build without unsermake
* Wed Nov  5 2003 ro@suse.de
- fix build
- don't build as root
* Mon Aug 11 2003 adrian@suse.de
- fix konsole entry (english instead of italian)
* Mon Jul 28 2003 adrian@suse.de
- Add Categories
* Sun Jun 15 2003 coolo@suse.de
- package directories
* Sat Jun 14 2003 coolo@suse.de
- use %%find_lang
* Mon May 26 2003 adrian@suse.de
- Requires correct kdelibs version
- use $INSTALL_TARGET
- add Url: tag
  (this spec file can be used as template now)
* Mon Jun 17 2002 adrian@suse.de
- update to version 0.7
* Sun Jun  2 2002 adrian@suse.de
- update to version 0.6-rc (KDE 3 port)
* Fri May 24 2002 adrian@suse.de
- use update_admin
* Tue Nov 13 2001 ro@suse.de
- fix for automake 1.5
* Fri Nov  9 2001 ro@suse.de
- use kde2-devel-packages
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul  5 2001 adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Nov 17 2000 ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 15 2000 adrian@suse.de
- New version 0.4 (KDE 2)
* Sun May 28 2000 adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 @suse.de
- Spec file created from kssh-0.2.tar.gz by autospec
* Thu Apr  6 2000 adrian@suse.de
- compile fix for xp
* Thu Mar 30 2000 adrian@suse.de
- delete the kbase from neededforbuild
* Wed Nov 24 1999 kettner@suse.de
- Spec file created from kssh-0.2.tar.gz by autospec
